function love.load()
    snake = {{9, 9}}
    food = {29, 19}
    direction = {1,0}
    timestep = 0
end

function love.draw()
    for i,v in ipairs(snake) do
        love.graphics.rectangle("fill", v[1]*20+1, v[2]*20+1, 18, 18)
    end
    love.graphics.rectangle("fill", food[1]*20+1, food[2]*20+1, 18, 18)
end

function love.update(dt)
    timestep = timestep + dt
    if timestep > .125 then
        timestep = timestep - .125
        
        local x,y = (snake[1][1] + direction[1])%40, (snake[1][2] + direction[2])%30
        
        for i,v in ipairs(snake) do
            if i>1 and x == v[1] and y == v[2] then
                love.event.quit()
            end
        end
        table.insert(snake, 1, {x,y})
        
        if x == food[1] and y == food[2] then
            local is_occupied = false
            while not is_occupied do
                randx, randy = love.math.random(0,39), love.math.random(0,29)
                for i,v in ipairs(snake) do
                    if randx ~= v[1] or randy ~= v[2] then
                        is_occupied = true
                    end
                end
            end
            food = {randx, randy}
        else
            table.remove(snake)
        end
    end
end

function love.keypressed(key)
    if key == "up" or key == "down" or key == "right" or key == "left" then
        local x = {up = {0,-1}, down = {0,1}, right = {1,0}, left = {-1,0}}
        direction = x[key]
    end
end
